## qemacs 0.3.1

=== Makefile ===
include config.mak

# from configure
#CONFIG_TINY=y
#CONFIG_X11=y
#CONFIG_XFT=y
#CONFIG_WIN32=y
#CONFIG_PNG_OUTPUT=y
#CONFIG_FFMPEG=y
#CONFIG_HTML=y
#CONFIG_DLL=y

# currently fixes
#
# Define CONFIG_ALL_MODES to include all edit modes
#
CONFIG_ALL_MODES=y
#
# Define CONFIG_UNICODE_JOIN to include unicode bidi/script handling
#
CONFIG_UNICODE_JOIN=y
# 
# Define CONFIG_ALL_KMAPS it to include generic key map handling
#
CONFIG_ALL_KMAPS=y

CFLAGS:=-Wall -g $(CFLAGS)
ifdef TARGET_GPROF
CFLAGS+= -p
LDFLAGS+= -p
endif
ifdef TARGET_ARCH_X86
#CFLAGS+=-fomit-frame-pointer
ifeq ($(GCC_MAJOR),2)
CFLAGS+=-m386 -malign-functions=0
else
CFLAGS+=-march=i386 -falign-functions=0
endif
endif
DEFINES=-DHAVE_QE_CONFIG_H

########################################################
# do not modify after this

ifdef CONFIG_TINY
CONFIG_X11=
CONFIG_ALL_MODES=
CONFIG_UNICODE_JOIN=
CONFIG_ALL_KMAPS=
CONFIG_HTML=
CONFIG_DOCBOOK=
CONFIG_DLL=
endif

ifdef CONFIG_WIN32
CONFIG_ALL_KMAPS=
CONFIG_X11=
CONFIG_DLL=
EXE=.exe
endif

ifdef CONFIG_PNG_OUTPUT
HTMLTOPPM_LIBS+= -lpng
endif

ifdef CONFIG_ALL_KMAPS
DEFINES+= -DCONFIG_ALL_KMAPS
endif
ifdef CONFIG_UNICODE_JOIN
DEFINES+= -DCONFIG_UNICODE_JOIN
endif
ifdef CONFIG_ALL_MODES
DEFINES+= -DCONFIG_ALL_MODES
endif
ifdef CONFIG_DLL
LIBS+=-ldl
# export some qemacs symbols
LDFLAGS+=-Wl,-E
endif
LIBS+=-lm

TARGETS+=qe$(EXE) qe-doc.html

OBJS=qe.o charset.o buffer.o \
     input.o unicode_join.o display.o util.o hex.o list.o cutils.o
ifndef CONFIG_WIN32
OBJS+= unix.o tty.o 
endif

# more charsets if needed
ifndef CONFIG_TINY
OBJS+=charsetmore.o charset_table.o 
endif

ifdef CONFIG_ALL_MODES
OBJS+= unihex.o clang.o latex-mode.o xml.o bufed.o
ifndef CONFIG_WIN32
OBJS+= shell.o dired.o 
endif
endif

ifdef CONFIG_WIN32
OBJS+= win32.o
LIBS+= -lgdi32
endif

# currently not used in qemacs
ifdef CONFIG_CFB
OBJS+= libfbf.o fbfrender.o cfb.o fbffonts.o
endif

ifdef CONFIG_X11
OBJS+= x11.o
ifdef CONFIG_XRENDER
LIBS+=-lXrender
endif
ifdef CONFIG_XV
LIBS+=-lXv
endif
LIBS+= -L/usr/X11R6/lib -lXext -lX11
endif

ifdef CONFIG_HTML
CFLAGS+=-I./libqhtml
DEP_LIBS+=libqhtml/libqhtml.a 
LIBS+=-L./libqhtml -lqhtml
OBJS+=html.o docbook.o
ifndef CONFIG_WIN32
TARGETS+=html2png
endif
endif

ifdef CONFIG_UNICODE_JOIN
OBJS+= arabic.o indic.o qfribidi.o unihex.o
endif

ifdef CONFIG_FFMPEG
OBJS+= video.o image.o
DEP_LIBS+=$(FFMPEG_LIBDIR)/libavcodec/libavcodec.a $(FFMPEG_LIBDIR)/libavformat/libavformat.a
LIBS+=  -L$(FFMPEG_LIBDIR)/libavcodec -L$(FFMPEG_LIBDIR)/libavformat -lavformat -lavcodec -lz -lpthread
DEFINES+= -I$(FFMPEG_SRCDIR)/libavcodec -I$(FFMPEG_SRCDIR)/libavformat
TARGETS+=ffplay
endif

# must be the last object
OBJS+= qeend.o

all: lib $(TARGETS)

lib:
	make -C libqhtml all

qe_g: $(OBJS) $(DEP_LIBS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

qe$(EXE): qe_g
	cp $< $@
	$(STRIP) $@
	@ls -l $@

ffplay: qe$(EXE)
	ln -sf $< $@

qe.o: qe.c qe.h qfribidi.h

charset.o: charset.c qe.h

buffer.o: buffer.c qe.h

tty.o: tty.c qe.h

qfribidi.o: qfribidi.c qfribidi.h

cfb.o: cfb.c cfb.h fbfrender.h

fbfrender.o: fbfrender.c fbfrender.h libfbf.h

html2png.o: html2png.c qe.h

%.o : %.c
	$(CC) $(DEFINES) $(CFLAGS) -o $@ -c $<

clean:
	make -C libqhtml clean
	rm -f *.o *~ TAGS gmon.out core \
           qe qe_g qe.exe qfribidi kmaptoqe ligtoqe \
           html2png fbftoqe fbffonts.c

distclean: clean
	rm -f config.h config.mak

install: qe qe.1 kmaps ligatures html2png
	install -m 755 qe $(prefix)/bin/qemacs
	ln -sf qemacs $(prefix)/bin/qe
ifdef CONFIG_FFMPEG
	ln -sf qemacs $(prefix)/bin/ffplay
endif
	mkdir -p $(prefix)/share/qe
	install kmaps ligatures $(prefix)/share/qe
	install qe.1 $(prefix)/man/man1
	install -m 755 -s html2png $(prefix)/bin

TAGS: force
	etags *.[ch]

force:

#
# tar archive for distribution
#

FILES=Changelog COPYING README TODO qe.1 config.eg \
Makefile qe.tcc qemacs.spec \
hex.c charset.c qe.c qe.h tty.c \
html.c indic.c unicode_join.c input.c qeconfig.h \
qeend.c unihex.c arabic.c kmaptoqe.c util.c \
bufed.c qestyles.h x11.c buffer.c ligtoqe.c \
qfribidi.c clang.c latex-mode.c xml.c dired.c list.c qfribidi.h html2png.c \
charsetmore.c charset_table.c cptoqe.c \
libfbf.c fbfrender.c cfb.c fbftoqe.c libfbf.h fbfrender.h cfb.h \
display.c display.h mpeg.c shell.c \
docbook.c unifont.lig kmaps xterm-146-dw-patch \
ligatures qe-doc.texi qe-doc.html \
tests/HELLO.txt tests/TestPage.txt tests/test-hebrew \
tests/test-capital-rtl tests/test-capital-rtl.ref \
tests/testbidi.html \
plugin-example/Makefile  plugin-example/my_plugin.c \
image.c video.c win32.c configure VERSION \
cutils.c cutils.h unix.c

# qhtml library
FILES+=libqhtml/Makefile libqhtml/css.c libqhtml/cssid.h \
libqhtml/cssparse.c libqhtml/xmlparse.c libqhtml/htmlent.h \
libqhtml/css.h libqhtml/csstoqe.c \
libqhtml/docbook.css libqhtml/html.css 

# fonts
FILES+=fonts/fixed10.fbf  fonts/fixed12.fbf  fonts/fixed13.fbf  fonts/fixed14.fbf \
fonts/helv10.fbf   fonts/helv12.fbf   fonts/helv14.fbf   fonts/helv18.fbf \
fonts/helv24.fbf   fonts/helv8.fbf    fonts/times10.fbf  fonts/times12.fbf \
fonts/times14.fbf  fonts/times18.fbf  fonts/times24.fbf  fonts/times8.fbf \
fonts/unifont.fbf

FILE=qemacs-$(VERSION)

tar:
	rm -rf /tmp/$(FILE)
	mkdir -p /tmp/$(FILE)
	cp -P $(FILES) /tmp/$(FILE)
	( cd /tmp ; tar zcvf ~/$(FILE).tar.gz $(FILE) )
	rm -rf /tmp/$(FILE)

#
# Test for bidir algorithm
#
qfribidi: qfribidi.c
	$(HOST_CC) $(CFLAGS) -DTEST -o $@ $<

#
# build ligature table
#
ligtoqe: ligtoqe.c
	$(HOST_CC) $(CFLAGS) -o $@ $<

ifdef BUILD_ALL
ligatures: unifont.lig ligtoqe
	./ligtoqe unifont.lig $@
endif

#
# Key maps build (Only useful if you want to build your own maps from yudit maps)
#
KMAPS=Arabic.kmap ArmenianEast.kmap ArmenianWest.kmap Chinese-CJ.kmap \
      Cyrillic.kmap Czech.kmap DE-RU.kmap Danish.kmap Dutch.kmap \
      Esperanto.kmap Ethiopic.kmap French.kmap Georgian.kmap German.kmap \
      Greek.kmap GreekMono.kmap Guarani.kmap Hebrew.kmap HebrewIsraeli.kmap \
      Hungarian.kmap \
      KOI8_R.kmap Kana.kmap Lithuanian.kmap Mnemonic.kmap Polish.kmap \
      Russian.kmap SGML.kmap TeX.kmap Troff.kmap VNtelex.kmap \
      Vietnamese.kmap XKB_iso8859-4.kmap
#     Hangul.kmap Hangul2.kmap Hangul3.kmap Unicode2.kmap 
KMAPS_DIR=$(prefix)/share/yudit/data
KMAPS:=$(addprefix $(KMAPS_DIR)/, $(KMAPS))

kmaptoqe: kmaptoqe.c
	$(HOST_CC) $(CFLAGS) -o $@ $<

ifdef BUILD_ALL
kmaps: kmaptoqe $(KMAPS)
	./kmaptoqe $@ $(KMAPS)
endif

#
# Code pages (only useful to add your own code pages)
#
CP=8859_2.cp  cp1125.cp  cp737.cp  koi8_r.cp \
   8859_4.cp  cp1250.cp  cp850.cp  koi8_u.cp    viscii.cp\
   8859_13.cp  8859_5.cp  cp1251.cp  cp852.cp  mac_lat2.cp\
   8859_15.cp  8859_7.cp  cp1257.cp  cp866.cp  macroman.cp\
   8859_16.cp  8859_9.cp  cp437.cp   kamen.cp  tcvn5712.cp \
   JIS0208.TXT JIS0212.TXT
CP:=$(addprefix cp/,$(CP))

cptoqe: cptoqe.c
	$(HOST_CC) $(CFLAGS) -o $@ $<

ifdef BUILD_ALL
charset_table.c: cptoqe $(CP)
	./cptoqe $(CP) > $@
endif

#
# fonts (only needed for html2png)
#
FONTS=fixed10.fbf fixed12.fbf fixed13.fbf fixed14.fbf\
helv8.fbf helv10.fbf helv12.fbf helv14.fbf helv18.fbf helv24.fbf\
times8.fbf times10.fbf times12.fbf times14.fbf times18.fbf times24.fbf\
unifont.fbf
FONTS:=$(addprefix fonts/,$(FONTS))

fbftoqe: fbftoqe.c
	$(CC) $(CFLAGS) -o $@ $<

fbffonts.c: fbftoqe $(FONTS)
	./fbftoqe $(FONTS) > $@

#
# html2png tool (XML/HTML/CSS2 renderer test tool)
#
OBJS=util.o cutils.o \
     arabic.o indic.o qfribidi.o \
     display.o unicode_join.o charset.o charsetmore.o charset_table.o \
     libfbf.o fbfrender.o cfb.o fbffonts.o

html2png: html2png.o $(OBJS) libqhtml/libqhtml.a
	$(HOST_CC) $(LDFLAGS) -o $@ html2png.o $(OBJS) \
                   -L./libqhtml -lqhtml $(HTMLTOPPM_LIBS)

# autotest target
test:
	make -C tests test

# documentation
qe-doc.html: qe-doc.texi
	texi2html -monolithic -number $<

=== libqhtml/Makefile ===
include ../config.mak

CFLAGS:=-Wall -g $(CFLAGS)
ifdef TARGET_GPROF
CFLAGS+= -p
LDFLAGS+= -p
endif
ifdef TARGET_ARCH_X86
#CFLAGS+=-fomit-frame-pointer
ifeq ($(GCC_MAJOR),2)
CFLAGS+=-m386 -malign-functions=0
else
CFLAGS+=-march=i386 -falign-functions=0
endif
endif
CFLAGS+=-I..

OBJS=css.o xmlparse.o cssparse.o html_style.o docbook_style.o
LIB=libqhtml.a

all: $(LIB)

$(LIB): $(OBJS)
	rm -f $@
	$(AR) rc $@ $(OBJS)

clean:
	rm -f *~ *.o *.a csstoqe html_style.c docbook_style.c

#
# build default style sheet file
#
csstoqe: csstoqe.c
	$(HOST_CC) $(CFLAGS) -o $@ $<

html_style.c: html.css csstoqe
	./csstoqe html_style < $< > $@

docbook_style.c: docbook.css csstoqe
	./csstoqe docbook_style < $< > $@

## qemacs 0.3.1.cvs.20050617

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,19 @@
 include config.mak
 
 # from configure
-#CONFIG_TINY=y
-#CONFIG_X11=y
-#CONFIG_XFT=y
-#CONFIG_WIN32=y
-#CONFIG_PNG_OUTPUT=y
-#CONFIG_FFMPEG=y
-#CONFIG_HTML=y
-#CONFIG_DLL=y
+#CONFIG_NETWORK=yes
+#CONFIG_WIN32=yes
+#CONFIG_CYGWIN=yes
+#CONFIG_X11=yes
+#CONFIG_XV=yes
+#CONFIG_XRENDER=yes
+#CONFIG_TINY=yes
+#CONFIG_XFT=yes
+#CONFIG_HTML=yes
+#CONFIG_DLL=yes
+#CONFIG_INIT_CALLS=yes
+#CONFIG_PNG_OUTPUT=yes
+#CONFIG_FFMPEG=yes
 
 # currently fixes
 #
@@ -66,23 +71,33 @@
 ifdef CONFIG_ALL_KMAPS
 DEFINES+= -DCONFIG_ALL_KMAPS
 endif
+
 ifdef CONFIG_UNICODE_JOIN
 DEFINES+= -DCONFIG_UNICODE_JOIN
 endif
+
 ifdef CONFIG_ALL_MODES
 DEFINES+= -DCONFIG_ALL_MODES
 endif
+
 ifdef CONFIG_DLL
 LIBS+=-ldl
 # export some qemacs symbols
 LDFLAGS+=-Wl,-E
 endif
+
 LIBS+=-lm
 
+TARGETLIBS:=
 TARGETS+=qe$(EXE) qe-doc.html
 
 OBJS=qe.o charset.o buffer.o \
-     input.o unicode_join.o display.o util.o hex.o list.o cutils.o
+     input.o unicode_join.o display.o util.o hex.o list.o 
+
+ifndef CONFIG_FFMPEG
+OBJS+= cutils.o
+endif
+
 ifndef CONFIG_WIN32
 OBJS+= unix.o tty.o 
 endif
@@ -126,7 +141,8 @@
 LIBS+=-L./libqhtml -lqhtml
 OBJS+=html.o docbook.o
 ifndef CONFIG_WIN32
-TARGETS+=html2png
+TARGETLIBS+= libqhtml
+TARGETS+= html2png$(EXE)
 endif
 endif
 
@@ -139,29 +155,30 @@
 DEP_LIBS+=$(FFMPEG_LIBDIR)/libavcodec/libavcodec.a $(FFMPEG_LIBDIR)/libavformat/libavformat.a
 LIBS+=  -L$(FFMPEG_LIBDIR)/libavcodec -L$(FFMPEG_LIBDIR)/libavformat -lavformat -lavcodec -lz -lpthread
 DEFINES+= -I$(FFMPEG_SRCDIR)/libavcodec -I$(FFMPEG_SRCDIR)/libavformat
-TARGETS+=ffplay
+TARGETS+= ffplay$(EXE)
 endif
 
 # must be the last object
 OBJS+= qeend.o
 
-all: lib $(TARGETS)
-
-lib:
+all: $(TARGETLIBS) $(TARGETS)
+
+libqhtml: force
 	make -C libqhtml all
 
-qe_g: $(OBJS) $(DEP_LIBS)
+qe_g$(EXE): $(OBJS) $(DEP_LIBS)
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
-qe$(EXE): qe_g
+qe$(EXE): qe_g$(EXE)
+	rm -f $@
 	cp $< $@
 	$(STRIP) $@
 	@ls -l $@
 
-ffplay: qe$(EXE)
+ffplay$(EXE): qe$(EXE)
 	ln -sf $< $@
 
-qe.o: qe.c qe.h qfribidi.h
+qe.o: qe.c qe.h qfribidi.h qeconfig.h
 
 charset.o: charset.c qe.h
 
@@ -182,23 +199,24 @@
 
 clean:
 	make -C libqhtml clean
-	rm -f *.o *~ TAGS gmon.out core \
-           qe qe_g qe.exe qfribidi kmaptoqe ligtoqe \
-           html2png fbftoqe fbffonts.c
+	rm -f *.o *.exe *~ TAGS gmon.out core qe.exe.stackdump \
+           qe qe_g qfribidi kmaptoqe ligtoqe html2png fbftoqe fbffonts.c
 
 distclean: clean
 	rm -f config.h config.mak
 
-install: qe qe.1 kmaps ligatures html2png
-	install -m 755 qe $(prefix)/bin/qemacs
-	ln -sf qemacs $(prefix)/bin/qe
+install: $(TARGETS) qe.1 kmaps ligatures
+	install -m 755 qe$(EXE) $(prefix)/bin/qemacs
+	ln -sf qemacs $(prefix)/bin/qe$(EXE)
 ifdef CONFIG_FFMPEG
 	ln -sf qemacs $(prefix)/bin/ffplay
 endif
 	mkdir -p $(prefix)/share/qe
 	install kmaps ligatures $(prefix)/share/qe
 	install qe.1 $(prefix)/man/man1
-	install -m 755 -s html2png $(prefix)/bin
+ifdef CONFIG_HTML
+	install -m 755 -s html2png$(EXE) $(prefix)/bin
+endif
 
 TAGS: force
 	etags *.[ch]
@@ -246,24 +264,24 @@
 tar:
 	rm -rf /tmp/$(FILE)
 	mkdir -p /tmp/$(FILE)
-	cp -P $(FILES) /tmp/$(FILE)
-	( cd /tmp ; tar zcvf ~/$(FILE).tar.gz $(FILE) )
+	cp --parents $(FILES) /tmp/$(FILE)
+	( cd /tmp ; tar zcvf $(HOME)/$(FILE).tar.gz $(FILE) )
 	rm -rf /tmp/$(FILE)
 
 #
 # Test for bidir algorithm
 #
-qfribidi: qfribidi.c
+qfribidi$(EXE): qfribidi.c
 	$(HOST_CC) $(CFLAGS) -DTEST -o $@ $<
 
 #
 # build ligature table
 #
-ligtoqe: ligtoqe.c
+ligtoqe$(EXE): ligtoqe.c
 	$(HOST_CC) $(CFLAGS) -o $@ $<
 
 ifdef BUILD_ALL
-ligatures: unifont.lig ligtoqe
+ligatures: unifont.lig ligtoqe$(EXE)
 	./ligtoqe unifont.lig $@
 endif
 
@@ -282,11 +300,11 @@
 KMAPS_DIR=$(prefix)/share/yudit/data
 KMAPS:=$(addprefix $(KMAPS_DIR)/, $(KMAPS))
 
-kmaptoqe: kmaptoqe.c
+kmaptoqe$(EXE): kmaptoqe.c
 	$(HOST_CC) $(CFLAGS) -o $@ $<
 
 ifdef BUILD_ALL
-kmaps: kmaptoqe $(KMAPS)
+kmaps: kmaptoqe$(EXE) $(KMAPS)
 	./kmaptoqe $@ $(KMAPS)
 endif
 
@@ -301,11 +319,11 @@
    JIS0208.TXT JIS0212.TXT
 CP:=$(addprefix cp/,$(CP))
 
-cptoqe: cptoqe.c
+cptoqe$(EXE): cptoqe.c
 	$(HOST_CC) $(CFLAGS) -o $@ $<
 
 ifdef BUILD_ALL
-charset_table.c: cptoqe $(CP)
+charset_table.c: cptoqe$(EXE) $(CP)
 	./cptoqe $(CP) > $@
 endif
 
@@ -318,10 +336,10 @@
 unifont.fbf
 FONTS:=$(addprefix fonts/,$(FONTS))
 
-fbftoqe: fbftoqe.c
+fbftoqe$(EXE): fbftoqe.c
 	$(CC) $(CFLAGS) -o $@ $<
 
-fbffonts.c: fbftoqe $(FONTS)
+fbffonts.c: fbftoqe$(EXE) $(FONTS)
 	./fbftoqe $(FONTS) > $@
 
 #
@@ -332,7 +350,7 @@
      display.o unicode_join.o charset.o charsetmore.o charset_table.o \
      libfbf.o fbfrender.o cfb.o fbffonts.o
 
-html2png: html2png.o $(OBJS) libqhtml/libqhtml.a
+html2png$(EXE): html2png.o $(OBJS) libqhtml/libqhtml.a
 	$(HOST_CC) $(LDFLAGS) -o $@ html2png.o $(OBJS) \
                    -L./libqhtml -lqhtml $(HTMLTOPPM_LIBS)

## qemacs 0.3.1.cvs.20050713

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 #
 CONFIG_ALL_KMAPS=y
 
-CFLAGS:=-Wall -g $(CFLAGS)
+CFLAGS:=-Wall -g $(CFLAGS) -funsigned-char
 ifdef TARGET_GPROF
 CFLAGS+= -p
 LDFLAGS+= -p
@@ -361,3 +361,4 @@
 # documentation
 qe-doc.html: qe-doc.texi
 	texi2html -monolithic -number $<
+

=== libqhtml/Makefile ===
--- 
+++ 
@@ -25,16 +25,16 @@
 	$(AR) rc $@ $(OBJS)
 
 clean:
-	rm -f *~ *.o *.a csstoqe html_style.c docbook_style.c
+	rm -f *~ *.o *.a *.exe csstoqe html_style.c docbook_style.c
 
 #
 # build default style sheet file
 #
-csstoqe: csstoqe.c
+csstoqe$(EXE): csstoqe.c
 	$(HOST_CC) $(CFLAGS) -o $@ $<
 
-html_style.c: html.css csstoqe
+html_style.c: html.css csstoqe$(EXE)
 	./csstoqe html_style < $< > $@
 
-docbook_style.c: docbook.css csstoqe
+docbook_style.c: docbook.css csstoqe$(EXE)
 	./csstoqe docbook_style < $< > $@

## qemacs 0.3.1.cvs.20050713-5f

=== debian/changelog ===
qemacs (0.3.1.cvs.20050713-5f) unstable; urgency=low

  * tweak key input and screen size for hildon/fremantle

 -- Tim Edmonds <tmedmonds@gmail.com>  Tue, 13 Oct 2009 13:01:12 +0200

qemacs (0.3.1.cvs.20050713-5) unstable; urgency=low

  * debian/control: Set maintainer to Debian QA Group.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 11 Aug 2007 13:01:12 +0200

qemacs (0.3.1.cvs.20050713-4) unstable; urgency=high

  * debian/patches/20_html2png-libpng.dpatch: Replace with better patch
    from upstream CVS; fixes FTBFS (closes: #403182).
  * debian/control: Bump Standards-Version to 3.7.2, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 16 Dec 2006 12:07:49 +0100

qemacs (0.3.1.cvs.20050713-3) unstable; urgency=low

  * debian/copyright: Update FSF's address.
  * debian/compat: Switch to compatibility level 5.
  * debian/control: Build-Depend on debhelper (>= 5.0.0).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 18 Dec 2005 15:40:21 +0100

qemacs (0.3.1.cvs.20050713-2) unstable; urgency=low

  * Register qemacs as an alternative to editor with priority 10,
    suggested by Oliver Kopp <olly@flupp.de>.
    + debian/qemacs{,-nox}.postinst: New files.
    + debian/qemacs{,-nox}.prerm: New files.

 -- Romain Francoise <rfrancoise@debian.org>  Thu,  4 Aug 2005 14:38:58 +0200

qemacs (0.3.1.cvs.20050713-1) unstable; urgency=low

  * New CVS snapshot.
  * debian/patches/30_build-fixes.dpatch: Dropped, the gcc-4.0 build has
    been fixed upstream.
  * debian/patches/00list: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 13 Jul 2005 22:43:59 +0200

qemacs (0.3.1.cvs.20050617-3) unstable; urgency=low

  * debian/patches/30_build-fixes.dpatch: New patch, fixes build with
    gcc-4.0 (closes: #288175).
  * debian/patches/00list: Update.

  * debian/changelog: Fix typo in previous entry.

 -- Romain Francoise <rfrancoise@debian.org>  Sun,  3 Jul 2005 11:29:27 +0200

qemacs (0.3.1.cvs.20050617-2) unstable; urgency=low

  * The "Lean and mean" release: adds a qemacs-nox binary package with
    minimal dependencies and no support for X11, libpng or Xvideo...
    (closes: #274196).  Note that html2png is shipped in both packages,
    the qemacs-nox version doesn't have support for libpng and thus
    creates PPM images only.

  * debian/control:
    + Add qemacs-nox package.
    + Add Conflicts to qemacs on qemacs-nox, and vice versa.
    + Tweak package descriptions.

  * debian/rules:
    + Add targets for qemacs-nox and assorted -A flags to debhelper scripts.
    + Add copyright lines for Didier, Yann, and myself.
    + Remove CFLAGS related code, various cleanups.

  * debian/dirs: Renamed to debian/qemacs.dirs.
  * debian/qemacs-nox.{dirs,docs,doc-base,examples}: New files.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 19 Jun 2005 16:04:13 +0200

qemacs (0.3.1.cvs.20050617-1) unstable; urgency=low

  * New upstream (CVS snapshot of the upcoming 0.3.2), no longer segfaults
    on M-x set-system-font RET (closes: #257025).

  * Converted to dpatch for patch management:
    + debian/rules: Add dpatch stanzas.
    + debian/control: Add build-dependency on dpatch (>= 2.0.9).
    + debian/patches/00list: New file.

  * debian/patches/10_plugin-example.dpatch: New patch, tweaks to the
    plugin example (by Yann Dirson), ported from the previous monolithic
    .diff.gz.

  * debian/patches/20_html2png-libpng.dpatch: New patch, ports html2png to
    libpng12, based on a patch from MJ Ray <markj@luminas.co.uk>, thanks!
    (closes: #156905).

  * New maintainer (closes: #314684):
    + debian/control: Update maintainer address.
    + debian/copyright: Ditto.

  * Bumped Standards-Version to 3.6.2.1, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 18 Jun 2005 11:49:57 +0200

qemacs (0.3.1-5) unstable; urgency=low

  * Don't install the qe compat symlink, which conflicts with a package
    named qe.  Insall manpage under corect name. (Closes: #274775).
  * Install qe.h and support headers in /usr/include/qemacs/ and modify
    plugin example Makefile to reflect that.(Closes: #257785).
  * Modified plugin example Makefile not to "make install" by default.
  * Applied change by Andreas Jochens to allow building with gcc 3.4
    (Closes: #259610).
  * Added debian/watch.
  * Remove dh_undocumented call.

 -- Yann Dirson <dirson@debian.org>  Mon,  4 Oct 2004 22:37:31 +0200

qemacs (0.3.1-4) unstable; urgency=low

  * Rebuild with xfree 4.3, by build-depending on libx11-dev, libxext-dev,
    and libxv-dev instead of old xlibs-dev (Closes: #241684).
  * Added more quotes in menu file (lintian).
  * Build with -g by default, honoring "noopt" build option.
  * Bumped Standards-Version to 3.6.1.
  * Use dh-buildinfo.

 -- Yann Dirson <dirson@debian.org>  Sat,  3 Apr 2004 13:19:00 +0200

qemacs (0.3.1-3) unstable; urgency=low

  * Fixed ./configure so that it does not generate a multiline string in
    config.h (Closes: #196276).
  * Run "make distclean" instead of "make clean".

 -- Yann Dirson <dirson@debian.org>  Mon,  9 Jun 2003 17:27:26 +0200

qemacs (0.3.1-2) unstable; urgency=low

  * Rebuild to get rid of /usr/doc/ symlink.
  * Moved tests/ to their own subdir of examples/.
  * Cleanup short description (lintian), mentionned HTML there.
  * Bumped Standards-Version to 3.5.6.

 -- Yann Dirson <dirson@debian.org>  Mon,  5 May 2003 12:11:45 +0200

qemacs (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Wed, 23 Apr 2003 19:39:52 +0200

qemacs (0.3-1) unstable; urgency=low

  * New upstream release 
  * Now installs as qemacs, and we don't ship the qe symlink (Closes:
    #154359).
  * Ship example config file and plugin.

 -- Yann Dirson <dirson@debian.org>  Fri, 14 Feb 2003 18:00:00 +0100

qemacs (0.2+really0.3pre12-2) unstable; urgency=low

  * Removed CPU-dependant flags from CFLAGS (Closes: #149844).
  * Stripped down extended description.



=== debian/control ===
Source: qemacs
Section: user/utilities
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>> 5.0.0), dh-buildinfo, libx11-dev, libxext-dev, libxv-dev, libpng-dev, dpatch (>= 2.0.9)
Standards-Version: 3.7.2

Package: qemacs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: qemacs-nox
Description: Small emacs clone editor with HTML and DocBook editing support
 QEmacs (for Quick Emacs) is a very small but powerful editor with an
 Emacs look and feel. Its features include:
 .
  * "All" Emacs common features,
  * Works on any VT100 terminals without termcap,
  * X11 support, with multiple simultaneous proportional fonts. Xft extension
    supported for anti aliased font display.
  * Highly optimized handling of huge files,
  * Full UTF8 support, including Unicode-conformant bidirectional editing,
    with Arabic and Indic scripts handling (in progress),
  * WYSIWYG HTML/XML/CSS2 mode graphical editing, with lynx-like rendering
    for VT100 terminals,
  * WYSIWYG DocBook mode based on XML/CSS2 renderer,
  * C mode with coloring with immediate update and emacs-like auto-indent,
  * Interactive-shell mode using colorized VT100 emulation,
  * Compile mode with next/prev error,
  * Input methods for most languages (from the Yudit editor) including Chinese,
  * X Input methods,
  * Hexadecimal editing mode with insertion and block commands,
  * Unicode hexa editing of UTF8 files,
  * UTF8 VT100 support with double width glyphs,
  * Small (full version is 150KB big).
 .
 Further information is available at <URL: http://www.qemacs.org/>
XB-Maemo-Display-Name: QEmacs
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAAK/INwWK
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAASAAAAEgARslrPgAAAAl2cEFn
 AAAAMAAAADAAzu6MVwAAEYhJREFUaN6dmmmMXWd5x3/Pe9a7zh2Px+Px7B6veAtJ
 nNRJaElB0GK3lJAYqKCqqkq0H6q2Qq2IKioVaCtUiS+t+gm1VCQscQIqtURJ6iyY
 YDsk3uNl7HFm8ez73P2e5e2Hc+6dO44TEl7p1T1zl3P//+f5P9t7R3if6+gfPAei
 AXFADwKHgIeAPUAP0A5Y8dtDDcvAFHAdOAOcAi5qWBHg2I8ef78Q1i15z8AfOwYB
 oGgDPgw8FoPvAuzmOzXfVK+7kABY1HAROA4c13ALCJ/9NYm8JwJHHzsGkAV+H/gi
 cB+QaNxANEoJhhKUoRABkejWWmt0CEGoCQNNGGp0RCYEbmn4HvAfBYyRFAHvl8i7
 EnjisWfRiCjC+4Angd8VdKL+KRFQSjBNhWUpTNPANCMSSuI3aAh1BN73QzwvpFYL
 8P2IDJoQ5BLwL8APgfIz74PEOxL4TGR1B/g86K8AfeuBg2kqbNvAtg0s28A0FYYh
 GIZCqbVbaw1hqAliErVaQLUSUC771GoBaBCRIsh/AV8HpkB45kef/vUIfObTzwBk
 0PwNwl8BGdCxNMAwIuCOswbeshSGEW8lKENoaXFJpW1c10Qk8hSAEgGBSsVneqrA
 reFl5uZKaI0W+AnIl0Bfi0i8uzfMdwQPX0f4c9BWHXgdhO0YOI6J0wDfTEBQKtqW
 bZDJOLS2urS2Jsi1JshkHRzHQClBhxrPC5mbK3LylTFOvjIq5UrwCUHngC+Cvvy+
 PBCDt4G/A74sou07tW7bBo5rYtsmjhNdW5bCjGUjCpRaL6EoHATLVqSSNu2bUvQP
 5Ni8ORO9T8DzQp7/35sc/+8h/EADvAT8CTAC8MwPn7grAWMN/A9wTYUf6j8S+AcR
 ks3gDSOyvOuauK7F1sFW7j/Yxf4DHezctZG+/hwdmzO0tiZIpWxs22wEtsRkAl9T
 KNaYmSkwOrpC24YELa0uYagxDKGzM8vw8ALz8yVEZADYCJwAqm9ePfbuEhKgGoQH
 RfhKLKEGeGVEWcaxDWzLYEtXho99fBstORcRiXc9dWoCX+MHIV4toFLxqVR9qhWf
 ajWgWvUJQ43jGLTkXLTWoDWhFlJpi61bW7kxtABo0HJUw/kQ+ebRx47pu3nBBPjs
 4z8ASAN/Cwwga24XJRiGYFpxprEUGza4JJM2YVgPbI2IoOJYMU3BskySCZOWFned
 UHUIGo0SQaPjv6N6IQiGGX1fEACibdHylwp9Enjtbh5QMXiAI8DhOEFAbFklkXwi
 OSgsyyCfr1Gt+sgdSUyjY+YRqCCsF7J46zgZENUGXX89SqMUSzUmbq9GipC4hovu
 EfRfCLhxar+rhHLAn4pE1ZUYWiN4jSiA67uQrzE2usLuD7Svg48WFhfLzM8VKZd9
 fD+MjKDAsqKUm0hYuK5JImFiOyaGEkKtKRY9fv6zUd66tYTERhA0WgsIR9D6EaWM
 /3snAo+K8BB1yzdSB1FWaUqNSglaa65fn6Njc4q2tmRk7jivXzg/zepKJWp9dGTh
 MNRxIQsJg8gNhiG4CQvXMahUfG7fXuX22GpU2JAIfOwJrcn5gfeFmzeees1xpFSt
 6oC4uzL27XnCFuHLwH0N8HXri2DEsqlLyIwffV9TLnls6khjO1EyEyUsL5VZXa2u
 E9cagagSV6s+hUKN+bkSt2/nmbi9ytJiGc8PCAMdxwQgGq01i0szFEpvDTz2+L2H
 9uzZPX3q1KlJotYSBQwCD9Gs6GYWawKJL3Tjj5mZAufPT1Eu+VFONoRdu9rp6EgR
 xBYPAr1u+37Y2EG8fT8kCEJ0qJu+G3QYMDo+xI3h0zx4KJft7Oz4+Nyc/5FY8kad
 wEGQLmn6oDSBr2cIHeqoKas3Z2FIGGrGx1Y4+8YEhXwNNCQSJvsPbGZgoBURwfOC
 GHAQXXtRQ+fVAmq1gFotipVwzS4ImjDwuDF8mZu3XufwkV3s3TvAsWOnVp566tgU
 UY8mMQF5GMG5E3wdfl3D9XY4smrYsGYQhIyNr/DamdvMzRUJtcaxTT6wZxP7D2zG
 dc0YaESgVguoVQOq8XO+HxlizfUaP/AYunmBkdFLHD68j3vvHeTZZ1/jF6++WUgk
 9ARQqkvIRNgjd7F8w5U6Ah/4Gt8MUb403lInZxiKiclVVlerfGDPJvr7c5iWQW9v
 jkTC4uwbE4yPr+B5AV4tbJDxg/ps0PA1QRBw4+Ylxm5f5SMf3c0DDwzy3HOv8/OT
 Vxjo701Va27t2vX/Wa2r2hTouzM1SXPh0UIYaGq1AFHg2AbJpE06bZNM2jiugWmo
 qPJ6AdeuzbG4WGZw2wZaWhza2hIcergX+/VJLl+cplL1G/GA1rFsIv2EYcCtt64w
 MXmdD31oB488sp3jx8/z4ouXGejbwsa2nhT0GVev/bhSH5hMoO3t0ml2gCaRtOnv
 z7FtextdXVmyLQ4J14ymr0bARfFRq/oUizUqZQ/bUjiOieuaPPhgD6mUzelT4+RX
 K+vKB0CoQ0bHbzA+cZX7Dw5w6NBWTpy4wokTl+jsaKNjUw+p1CbDNNzkFz7343V1
 ILHe/Gv3tS2Dez7YyW8c6qGrO4tlRf28DqNArvtfAyhBaTDNyDNBuBb4hFGG2r+/
 g1zO5eTPRpicXI36oDjOJqdGGB17k337ujl4sIeXXrrMiRNXac2l6e7qJZPpxLHT
 Sikr63mlJgJ3sT5AImHxicM7eOjhXizbIAzDWPN1mcla1oiSNqKIG7NYhkoghBCN
 DjQaTU9vCx/7nW288tIIw8MLaK2ZmZ3grZFL7NzZwf33d/Pqq1d58cVrpFMJ+vt6
 acl24bo5DMMGxGpK6phAGKfTdU3XwQe6ePiRXgzTaAAWBFSTdnXUvYVBSD5fZX6u
 xNJymWrVp1IJ0DqKHa8WEISaStlvVOR8vgpAtZZnfmGIga1tHDjQyblzN3n55SEc
 22Kgv5vW1m4SyQ2YhoNEDdJyM1BTYAGhuanBdc1Gn+P7QaOFqFfn+vJ9zdjIEleu
 zDI+tkI+X8XzwnWK1HqtYatX5OhkQlOplLk9McS9922mJWdz4fwtXnjhKgD9fVvY
 uLGXVLIdy0ogokDrEFhpvr8JTIO0N8unDtgPol5XK0GrtdMGUYp8vsorL49w8cI0
 lYrf1Cutl2M9VOpbqYiM73m8NXKVRLJKIpFjanKGpaUKpqHYsqWdjo4+0qkObDuF
 kjj2kALo2TsJ3AT2NZ84lCs+oyPL9PS2RIS0oLRgaA2GAq352csjnPrFWDStmfEg
 r+LhRjVlMUCHUQOIQBAIBAGj4zcwrTw7d3YxMjLOCy9cob09w4H9/dh2O9lMJ46T
 QSmDRn8OcyATzQQUIq/HcbDm9lBz9uwkM9MFdKgb/YofRLta9ZmcyqN1NAoa8chp
 GHHDZygMs35OtNYAWqbCNISpqVGKpUl27+5meHiGF1+8Tj5fwfPAddtpzXXjui0Y
 ylo/cwhDwOx6AtFZ5XLzu0QJM9NFnv/pTZaWKpF+mxoxQynuvbeTbNZB4tZ43a6T
 MATTaCYkzC9MMz5xnb17e1lYyHP27A2Wlwp0bm6lr6efbLaLRKIVw7DWpp+1dUoJ
 5ebnjP17j+YFPoLQuzaJRZ9dWCgxN1diU0eadNpuSl7Cpo4UHR1pSkWPSsWHpnFw
 LR4UStEYN5eXl3jj3Gl27+7ENA1effUS4+OzbGzPsn1wK62tvSQTbZimHQVtPdNF
 a0ngn4Dx7z1zdC0GDFgI4XngEe5YAty8uUB+tcojv9nHrl3tOI5BSIggDG7bQFd3
 ltGRZYaHF5mdKVCtRrOGxPEAkf6LxRKvnz1DV1eaXC7Nq69eYmRkmlwuya6dA2xs
 6yPhbkQpJ5rCmkFEljtDdCi8bhn79h4FyCP8HpCR2G31kVJEKBRr3BpeYnmlTEuL
 QyptI0rQOhoVN3WkGdy2gYGBVtraktiOidYQBFE19gOfM2dOE+o8u3f3ceHCTc6f
 v0kiYbJv7yBdWwbJZDZjmYn14BtpAA/4BsIZgEtvrs3Gxv59R0GYB7YD90nc3KzN
 pVHuDwPN7GyBsdFlatWATNYlkbCiQ1wdtQqptENnZ5qtWzcwuG0DPT0ttG5wOXXq
 dYZuXOWee7YxPDzBL395DZGQ/fu20te7nVzLFhw7BaiI9FqLWrf+aYR/BIrfbZJP
 PY0C+MC3gMNE5/1vs0F9wC8WPc6dm2JiYpXtOzbSH1vddUy0REO4MoRMxqGlxWFy
 apRLly+wc2cPt2/PcebMFSDggYPb6OneRja7BcfJEASC5/mNote0SsC/Csxo3r6M
 i5ePsX/fUYBpICfCh0BEmupCPbAtS+G6Fq5roTUsLZWZmlxlbq5EPl+lUvHjwT0i
 PT4+zde+9p9Ylonn+Zw+/SaeV+VTn/ogjz/xYe65Zy+pVI5CIaBWDRsDTpPlAb4P
 fFPA++4Pjr6NQENwn//cMYBOEZ4GHpWmwUaIrO+4JsmkRSJp4TomdnzQZTSnTCs6
 PwWfsbHLnD13jcXFMhcvDlMsljh8eB9Hj/4We/bsoaNjM1qbnH1jkp/+5CbLyxXC
 IFw70YALaP0Z4PrTdwEP9SauzkaYAv4eGGm4Ua89mKYimbRIp2xSaZtUyiaTccjl
 XFpaXLJZl2zGwXEUr7xyhp8+/0u2b29HpEK1WuXRR3fwyU8eYsf2nbS3b8J1XFIp
 m8HBDShDosF+7WungCcRdf3dfoZZ99IX/vAY0bAffBbk3xDaGuOmQDoO0k0dadra
 kuRyLqmURTJpRceOhsKyFRcuDPHVr36LMAyZm1vgnnt66e7OcODADg4cOEBXVxem
 YVMs+dweX+XUL8a4fm0+Or2L0C9q+GsN3xHQT3//ifdGYI0EBvDHIN8Qoa0eC6IE
 yzJIJEzSsQfSaZtkyiLhWrgJkyCo8p2nnmNoaISFhVUWF1fYuXMzhw8/yED/TrLZ
 TfieYnmlyuxMkYX5EuWyH/0aVe93NE9q5Nugg3cDXwfaWEeOHMHz32Jm4Z8Rlb5i
 mZ0LIsb9IpKuyyjK6/XfunxKJZ98ocrySoWF+SIvvXyGc+cusLJSZGlpld7eNvbt
 2Yltd1IqJpidqTExkWd6qsjKStR+S6NYhWNhWHmyWDn99NWRL/mZZCvbtncyNDT0
 qz1w5MiRZlJJCHNAW8J98KOOtfXPlEoMNgd1vQeqH/ialqJQXObkyReYnZtlZaXA
 li2t7N2zg03tA6RSGxFx8P3oV5kgCIknStA6DMLimzXv5r+Xq6+/IqIWQa0A1Tq1
 48eP35WAeZfnbGAjqH5gc7lyZtnzxr6TcA/8tmlsuk+wUlqi5t73o12tBmgCrl27
 xPTMDMViiS2drWzbOkgq2YXWWcolQeOhm7OkBq2ri543cbpcu3gyDBeqIuZuYBwY
 BRaJatQ7rjsJSOyBBNHvwllQST+YKuSL8z9x7G1XHXv7A4bK7UDMVDS4RJVzbn6K
 G8NXKJXKdG3ZSH9fPy3ZbmxrA2ibMFw779Baa62ry34wf7lau/aG549PgQ7AyMbc
 0rEhf+Xv2HcS0ER9xwpRYdNAC6gEBHalduVqzbt1y7b6um2zf49htG5Tym33PM+9
 ev2iFItF+vu66OnuJZvtJJFozLJR9Gi/EISlKT+Yu+55b13z/MlZCHxQPkiVqOou
 AHNAkTvmlPcqoVp8kxowHxEgA6QFI6G151Zq12ertRuXDZXLWubmzSOj5Yenp2/t
 6u7Ozm/Z0makUhnt2FYoUq4EYaEYhuWFIFyZ9v25KT+Ynde6UATxQHmgKjHwArBK
 NJusxASCX0VgnYuaAlmIipxJdJDqxjvRdO1AaAeB51y5Uro3CCrpDRuCxXQqV81k
 W8u2ZftI4GldrWntexD6iPIE5YHUgEq8y027EhvOb7b+OwXw2wjchUgzGRXHh9m0
 Ld/37UIhnyyXiykRU2Uy6ZrruqEylBZEx//gEcSg/Fii9Uev6bWQ+gHpewD+rgTe
 A6EGMc/zVD6fN2q1muG6LqlUCsuq/7dNA5COAYZN1+ualfcC9m7r/wEd/WbYalw1
 QQAAACV0RVh0Y3JlYXRlLWRhdGUAMjAwOS0xMC0xM1QwOTozNjo0NiswMTowMKsc
 6OIAAAAldEVYdG1vZGlmeS1kYXRlADIwMDktMTAtMTFUMDE6MTU6MzgrMDE6MDDA
 rxheAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAABJRU5E
 rkJggg==


Package: qemacs-nox
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: qemacs
Description: Small emacs clone editor (without X support)
 QEmacs (for Quick Emacs) is a very small but powerful editor with an
 Emacs look and feel. Its features include:
 .
  * "All" Emacs common features,
  * Works on any VT100 terminals without termcap,
  * X11 support, with multiple simultaneous proportional fonts. Xft extension
    supported for anti aliased font display.
  * Highly optimized handling of huge files,
  * Full UTF8 support, including Unicode-conformant bidirectional editing,
    with Arabic and Indic scripts handling (in progress),
  * WYSIWYG HTML/XML/CSS2 mode graphical editing, with lynx-like rendering
    for VT100 terminals,
  * WYSIWYG DocBook mode based on XML/CSS2 renderer,
  * C mode with coloring with immediate update and emacs-like auto-indent,
  * Interactive-shell mode using colorized VT100 emulation,
  * Compile mode with next/prev error,
  * Input methods for most languages (from the Yudit editor) including Chinese,
  * X Input methods,
  * Hexadecimal editing mode with insertion and block commands,
  * Unicode hexa editing of UTF8 files,
  * UTF8 VT100 support with double width glyphs,
  * Small (full version is 150KB big).
 .
 This package contains a version of QEmacs compiled without support for X.
 .
 Further information is available at <URL: http://www.qemacs.org/>

## qemacs 0.3.1.cvs.20050713-6f

=== Makefile ===
--- 
+++ 
@@ -217,6 +217,10 @@
 ifdef CONFIG_HTML
 	install -m 755 -s html2png$(EXE) $(prefix)/bin
 endif
+	mkdir -p $(prefix)/share/icons/hicolor/scalable/hildon
+	install qemacs64.png $(prefix)/share/icons/hicolor/scalable/hildon
+	mkdir -p $(prefix)/share/applications/hildon
+	install qemacs.desktop $(prefix)/share/applications/hildon
 
 TAGS: force
 	etags *.[ch]

=== debian/changelog ===
qemacs (0.3.1.cvs.20050713-6f) unstable; urgency=low

  * tweak key input and screen size for hildon/fremantle

 -- Tim Edmonds <tmedmonds@gmail.com>  Tue, 13 Oct 2009 13:01:12 +0200

## qemacs 0.3.1.cvs.20050713-7f

=== Makefile ===
--- 
+++ 
@@ -207,6 +207,7 @@
 
 install: $(TARGETS) qe.1 kmaps ligatures
 	install -m 755 qe$(EXE) $(prefix)/bin/qemacs
+	install -m 755 qemacs.sh $(prefix)/bin/qemacs.sh
 	ln -sf qemacs $(prefix)/bin/qe$(EXE)
 ifdef CONFIG_FFMPEG
 	ln -sf qemacs $(prefix)/bin/ffplay

=== debian/changelog ===
qemacs (0.3.1.cvs.20050713-7f) unstable; urgency=low

  * tweak key input and screen size for hildon/fremantle

 -- Tim Edmonds <tmedmonds@gmail.com>  Tue, 13 Oct 2009 13:01:12 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: qemacs
 Architecture: any
 Depends: ${shlibs:Depends}
+Section: user/utilities
 Conflicts: qemacs-nox
 Description: Small emacs clone editor with HTML and DocBook editing support
  QEmacs (for Quick Emacs) is a very small but powerful editor with an
@@ -141,6 +142,7 @@
 Package: qemacs-nox
 Architecture: any
 Depends: ${shlibs:Depends}
+Section: user/utilities
 Conflicts: qemacs
 Description: Small emacs clone editor (without X support)
  QEmacs (for Quick Emacs) is a very small but powerful editor with an

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 1997-1999 Joey Hess <joeyh@debian.org>
# Copyright (C) 2002 Didier Dhollande <dholland@free.fr>
# Copyright (C) 2002-2005 Yann Dirson <dirson@debian.org>
# Copyright (C) 2005 Romain Francoise <rfrancoise@debian.org>

include /usr/share/dpatch/dpatch.make

CFLAGS += -g
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	./configure CFLAGS="${CFLAGS}" --prefix=/usr \
	    --disable-xv --disable-html --disable-png --disable-plugins

	touch configure-stamp

configure-nox: configure-stamp-nox
configure-stamp-nox:
	dh_testdir

	-$(MAKE) distclean
	rm -f libqhtml/csstoqe

	./configure CFLAGS="${CFLAGS}" --prefix=/usr --disable-x11 \
		--disable-xv --disable-xrender --disable-png

	touch configure-stamp-nox

build: patch build-stamp
build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	touch build-stamp

build-nox: patch build-stamp-nox
build-stamp-nox: configure-stamp-nox 
	dh_testdir

	$(MAKE)

	touch build-stamp-nox

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp build-stamp-nox configure-stamp-nox

	-$(MAKE) distclean
	rm -f libqhtml/csstoqe

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install prefix=$(CURDIR)/debian/qemacs/usr

	# fix things
	rm $(CURDIR)/debian/qemacs/usr/bin/qe
	cd $(CURDIR)/debian/qemacs/usr && \
		mv man/man1/qe.1 man/man1/qemacs.1 && \
		mkdir -p share && mv man share
	cd $(CURDIR)/debian/qemacs/usr/share/qe && chmod a-x kmaps ligatures

	# missing bits
	dh_install qe.h config.h cutils.h display.h qestyles.h /usr/include/qemacs/

install-nox: build-nox
	dh_testdir
	dh_testroot
	dh_installdirs -pqemacs-nox

	$(MAKE) install prefix=$(CURDIR)/debian/qemacs-nox/usr

	# fix things
	rm $(CURDIR)/debian/qemacs-nox/usr/bin/qe
	cd $(CURDIR)/debian/qemacs-nox/usr && \
		mv man/man1/qe.1 man/man1/qemacs.1 && \
		mkdir -p share && mv man share
	cd $(CURDIR)/debian/qemacs-nox/usr/share/qe && \
		chmod a-x kmaps ligatures

	# missing bits
	dh_install -pqemacs-nox qe.h config.h cutils.h display.h qestyles.h \
		/usr/include/qemacs/

binary-indep: build install build-nox install-nox
binary-arch: build install build-nox install-nox
	dh_testdir
	dh_testroot
	dh_installdocs -A
	dh_buildinfo
	dh_installexamples -A config.eg plugin-example
	dh_installmenu
	dh_installinfo -A
	dh_installchangelogs -A Changelog
	dh_link -A
	dh_strip -A
	dh_compress -A
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure \
	build-nox configure-nox install-nox

=== debian/watch ===
version=2
http://fabrice.bellard.free.fr/qemacs/ qemacs-(.*)\.tar\.gz
